%define prefix /usr
%define ver    0.8

Summary: A graphical front end to the Red Hat Package Manager, for GNOME
Name: gnorpm
Version: %ver
Release: 5
Copyright: GPL
Group: Applications/System
Source: ftp://ftp.daa.com.au/pub/james/gnome/gnorpm-%{ver}.tar.gz
Patch0: gnorpm-redhat-config.patch
Patch1: gnorpm-0.8-rpm-3.0.patch
BuildRoot: /var/tmp/gnorpm-%{PACKAGE_VERSION}-root
Obsoletes: glint

%description
Gnome RPM is a graphical front end to RPM, similar to Glint, but written with
the GTK widget set and the GNOME libraries.  It is currently under
development, so there are some features missing, but you can currently query
packages in the filesystem and database, install upgrade, uninstall and
verify packages.

%prep
%setup -q -n gnorpm-%{ver}
%patch0 -p 1 -b .rhconfig
%patch1 -p 0 -b .rpm30

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install
strip $RPM_BUILD_ROOT%{prefix}/bin/gnorpm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{prefix}/bin/gnorpm
%{prefix}/share/gnome/apps/*
%{prefix}/share/gnome/help/gnorpm/C/*
%{prefix}/share/locale/*/LC_MESSAGES/gnorpm.mo
%config %{prefix}/share/gnorpmrc
%config %{prefix}/share/mime-info/gnorpm.keys
#%{prefix}/share/pixmaps/defpackage.gif
%doc AUTHORS NEWS README

%changelog
* Fri Apr 16 1999 Matt Wilson <msw@redhat.com>
- fixed upgrade brokenness

* Thu Apr 15 1999 Michael Fulbright <drmike@redhat.com>
- added missing gnorpm.keys file to file list

* Mon Apr 12 1999 Matt Wilson <msw@redhat.com>
- updated to 0.8

* Fri Mar 12 1999 Matt Wilson <msw@redhat.com>
- patched to work with rpm-3.0
- GnoRPM obsoletes glint.
